SimpleSetProperty (JavaFX 17)

Module javafx.base
Package javafx.beans.property

## Class SimpleSetProperty<E>

- java.lang.Object
- - javafx.beans.binding.SetExpression<E>
  - - javafx.beans.property.ReadOnlySetProperty<E>
    - - javafx.beans.property.SetProperty<E>
      - - javafx.beans.property.SetPropertyBase<E>
        - - javafx.beans.property.SimpleSetProperty<E>

- Type Parameters:
    `E` - the type of the `Set` elements
  All Implemented Interfaces:
    `Iterable<E>`, `Collection<E>`, `Set<E>`, `Observable`, `Property<ObservableSet<E>>`, `ReadOnlyProperty<ObservableSet<E>>`, `ObservableObjectValue<ObservableSet<E>>`, `ObservableSetValue<E>`, `ObservableValue<ObservableSet<E>>`, `WritableObjectValue<ObservableSet<E>>`, `WritableSetValue<E>`, `WritableValue<ObservableSet<E>>`, `ObservableSet<E>`
  Direct Known Subclasses:
    `ReadOnlySetWrapper`

      public class SimpleSetProperty<E>
      extends SetPropertyBase<E>

  This class provides a full implementation of a `Property` wrapping an `ObservableSet`.
  Since:
    JavaFX 2.1
  See Also:
    `SetPropertyBase`

- - ### Property Summary

    - ### Properties declared in class javafx.beans.binding.SetExpression

      `empty, size`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleSetProperty()` | The constructor of `SimpleSetProperty`
    `SimpleSetProperty​(Object bean, String name)` | The constructor of `SimpleSetProperty`
    `SimpleSetProperty​(Object bean, String name, ObservableSet<E> initialValue)` | The constructor of `SimpleSetProperty`
    `SimpleSetProperty​(ObservableSet<E> initialValue)` | The constructor of `SimpleSetProperty`

  - ### Method Summary

    - ### Methods declared in class javafx.beans.property.SetPropertyBase

      `fireValueChangedEvent, fireValueChangedEvent, invalidated, toString`

    - ### Methods declared in class javafx.beans.property.ReadOnlySetProperty

      `bindContent, bindContentBidirectional, hashCode, unbindContent, unbindContentBidirectional`

    - ### Methods declared in class javafx.beans.binding.SetExpression

      `asString, emptyProperty, getSize, isEqualTo, isNotEqualTo, isNotNull, isNull, setExpression, sizeProperty`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods declared in interface java.lang.Iterable

      `forEach`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableObjectValue

      `get`

    - ### Methods declared in interface javafx.collections.ObservableSet

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.Property

      `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

    - ### Methods declared in interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

    - ### Methods declared in interface javafx.beans.value.WritableObjectValue

      `get, set`

    - ### Methods declared in interface javafx.beans.value.WritableValue

      `getValue, setValue`

- - ### Constructor Detail

    - #### SimpleSetProperty

          public SimpleSetProperty()

      The constructor of `SimpleSetProperty`

    - #### SimpleSetProperty

          public SimpleSetProperty​(ObservableSet<E> initialValue)

      The constructor of `SimpleSetProperty`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### SimpleSetProperty

          public SimpleSetProperty​(Object bean,
                                   String name)

      The constructor of `SimpleSetProperty`
      Parameters:
        `bean` - the bean of this `SetProperty`
        `name` - the name of this `SetProperty`

    - #### SimpleSetProperty

          public SimpleSetProperty​(Object bean,
                                   String name,
                                   ObservableSet<E> initialValue)

      The constructor of `SimpleSetProperty`
      Parameters:
        `bean` - the bean of this `SetProperty`
        `name` - the name of this `SetProperty`
        `initialValue` - the initial value of the wrapped value